RewriteEngine on

#Single file pass parameter in URL.

RewriteRule ^views/managesurveyor/([A-Za-z0-9].*)$ views/managesurveyor.php?slug=$1 [B]
RewriteRule ^views/manageuser/([A-Za-z0-9].*)$ views/manageuser.php?slug=$1 [B]



RewriteCond %{THE_REQUEST} ^GET\ /views/(.*)
RewriteRule ^views/(.*) views/$1.php [L,R=301]

#Remove extension from URL.

RewriteCond %{THE_REQUEST} ^[A-Z]{3,9}\ /(.*)\.php
RewriteRule ^ /%1 [L,R=301]
	RewriteCond %{REQUEST_FILENAME} !-f
	RewriteCond %{REQUEST_FILENAME} !-d
	RewriteRule ^([^\.]+)$ views/$1.php [NC,L]
